Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Deep Security Solaris Platform Support Update (Q1 2019)

    • Updated:
    • 8 Jan 2019
    • Product/Version:
    • Deep Security 10.0
    • Deep Security 11.0
    • Deep Security 9.0
    • Platform:
    • Oracle Solaris 11 SPARC
    • Oracle Solaris 11 x86
    • Solaris すべて
    • Unix - Solaris (Sun) version 10 (SunOS 5.10)
    • Unix - Solaris (Sun) version 9 (SunOS 5.9)
Summary

Deep Security is committed to providing ongoing, long term support for the Solaris platform.

As evidence of this commitment we are releasing a new version of the Deep Security Agent for Solaris in the first quarter of 2019 as a software update for Deep Security 11.0. Solaris platforms that will be supported by the new agent are Solaris 10 Update 4 or later.

It should also be noted that the Deep Security 9.0 Agent is approaching its global End of Support (EoS) date (March 31, 2019).  As a result, you must plan to upgrade Deep Security 9.0 Agents to continue to receive product support. Please consult the help center documentation (Deep Security Manager - Agent compatibility by platform) to ensure that the Deep Security Manager version you are using is compatible with the agent version you will be upgrading to.

In an attempt to reduce the impact of this transition to customers:

  1. We are providing advance notice of the introduction of the new Solaris Agent in 2019.
  2. We will extend the EoS date for use of the Deep Security 9.0 Agent on Solaris to December 31, 2019.
  3. We will support the use of Deep Security 9.0 Agent on Solaris with Deep Security Manager 11.0.

Support requests for Deep Security 9.0 Agents on Solaris will continue to be honoured until the end of support date (December 31, 2019). However, as the date draws closer, and depending on the issue, our support teams may recommend resolution using the 2019 Deep Security Agent for Solaris, rather than providing fixes for the Deep Security 9.0 Agent.

Details
Public

Solaris 9.0 Considerations

Please note that support for Solaris 9.0 platform was last provided with Deep Security Agent 9.0. Therefore, correspondingly, support for the Solaris 9.0 platform will be ending with the retirement of the Deep Security 9.0 Agent.

Solaris Platform Support Summary

Solaris VersionDeep Security Agent (DSA) Version
DSA 9.0DSA 10.0DSA
(2019 Release for Solaris)
Solaris 9.0Supported 1Not supportedNot supported
Solaris 10
(Updates 4-10)
Supported 3
Solaris 10
(Update 11)
Supported 2
Solaris 11.2, 11.3
(64-bit, SPARC or x86)

1 Global version is supported until December 31, 2019 (revised from the original December 31, 2018). Deep Security Manager (DSM) versions that support Deep Security Agent (DSA) 9.0 include 9.0, 9.6, 10.0, and now 11.0. DSM 11.0 support of the 9.0 Agent for Solaris is provided to ensure an upgrade path for customers moving from DSA 9.0 to DSA 11.0 (which requires DSM 11.0).

2 DSM versions that support DSA 10.0 include 10.x and 11.x. Please see the DSA 10.x platform compatibility or DSA 11.1 platform compatibility for more information.

3 Please see DSA 11.0 platform compatibility for more information. DSM 11.0 will support DSA 11.0 2019 Update for Solaris.

Action Required

  • If you are using Deep Security 9.0 Manager to support Deep Security 9.0 Solaris Agents, you must upgrade your Deep Security Manager.
    • EoL for the Deep Security 9.0 Manager was reached in 2018.
    • The extension of the EoS date for use of the Deep Security 9.0 Agent on Solaris to December 31, 2019 only applies to the Deep Security 9.0 Agent for Solaris and not Deep Security Manager. To continue to receive support, you must upgrade Deep Security Manager.
    • We will support the use of Deep Security 9.0 Agent on Solaris with Deep Security Manager 11.0 to ensure a supported upgrade path for customers to move to the new agent.
    • Deep Security Manager upgrades only support N-2 major releases. A Deep Security Manager 9.0 can be upgraded to 9.6 or 10.0, but not to 11.0 directly. Deep Security Manager 11.0 supports upgrades from 9.6 and 10.0.
  • Deep Security support for the Solaris 9.0 platform will end on December 31, 2019 when end of support is declared for the Deep Security 9.0 Agent for Solaris. Please plan to upgrade the version of Solaris on these servers so a newer version of the Deep Security Agent for Solaris can be used.
Premium
Internal
Rating:
Category:
Update
Solution Id:
1120706
Feedback
Did this article help you?

Thank you for your feedback!

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.